【windows版本】Phpstudy v8.1 安装使用及常见问题汇总(最新版本)

phpstudy01

注:目前最新为phpStudy v8.1版本,以下教程注明v8.0的版本和v8.1的界面有所差异,使用方法大致相同。

本教程为Phpstudy v8.0 windows版本的使用教程,包含安装、使用以及常见问题,不断更新中!

phpStudy V8官方使用手册:https://www.xp.cn/phpstudy-v8/

phpStudy V8 使用文章:https://www.xp.cn/phpstudy/phpstudy-v8/

【windows版本】phpstudy v8 安装使用教程

1.  phpstudy v8 下载与安装

2.  phpstudy v8.0 各功能模块简介

3.  phpstudy v8.0创建本地站点域名教程(图文)

4.  phpstudy v8.0 网站创建与配置

5.  phpstudy v8.0 php mysql多版本共存与切换教程

6.  phpstudy v8.0 数据库管理工具phpadmin使用教程

7.  phpstudy v8.0 FTP服务器设置

8.  phpstudy v8.1 全站301重定向设置教程

9. phpstudy v8.1 Apache伪静态的配置

10. phpstudy v8.1 Nginx伪静态的配置

【windows版本】phpstudy v8 常见问题

1.80端口被占用的解决办法

方法一:直接修改端口号

phpstudy v8一直“显示端口被占用,正在尝试关闭”解决方案

https://www.xp.cn/phpstudy/phpstudy-v8/3319.html

方法二:干掉占用端口号的进程

Win7系统下phpstudy 80端口被system占用的解决办法

https://www.xp.cn/phpstudy/phpstudy-v8/3320.html

phpstudy v8默认是以非管理员权限启动的,所以有些管理员权限启动的进程无法直接杀死,这个时候你可以根据实际情况手动以管理员权限杀掉进程或者是修改软件启动的端口,还有一种方法就是启动phpstudy v8的时候以管理员身份运行。

2.  phpstudy V8 报403错误

3.  phpstudy V8 如何完全卸载?

4. phpstudy v8安装后Apache无法启动

01. 安装路径不能包含“中文”或者“空格”,否则会报错(例如错误提示:Can't change dir to 'G:\\x65b0\x5efa\x6587\)

02. 保证安装路径是纯净的,安装路径下不能有已安装的V8版本,若重新安装,请选择其它路径

5. phpStudy V8做301设置提示将您重定向的次数过多

【相关推荐】

【windows版本】Phpstudy 安装使用及常见问题汇总(历史版本)

问题比较着急?请联系QQ:QQ咨询
  • Antor
  • Antor    2019-11-03 00:19:31105楼

    QQ图片20191103001845.jpg不知道为什么窗口这么小  什么也看不见  电脑分辨率 3840X2160

    +添加回复

  • 回复

    win10高分辨率下真没办法使用

    Aesop · 2019-11-07 16:24:30
    回复
  • 哈比
  • 哈比    2019-10-29 23:30:06104楼

    $str = "75,加格达奇分公司,塔河站,漠大线,漠河-大庆,113#+690m,113#+690m,113#,690m,塔河县瓦拉干镇,张全君,13604873444,124.511217,52.597423,塔河冻土区,,,,,813,781,16,8,L450,,11/20/2015 00:00:00,346.43,-268.33,,";



    $arr = str_getcsv($str,",","'");



    var_dump($arr);die;

    你用phpstudy 7.0.9 及以上运行此代码,然后再换php5.6在运行此代码,我让我同学用wamp php7.0具体多少没问,以及在线php代码运行网站,选择php7.0.0  运行,我怀疑,phpstudy 7.0+在这个函数上是不是有漏洞, 我看w3c都没有关于这个函数版本的变化

    +添加回复

  • 回复
  • 互联网人
  • 互联网人    2019-10-18 11:32:52103楼

    请问怎么添加MySQL5.6版本?公司项目要用到这个版本,非常感谢!

    +添加回复

  • 回复
  • 薇薇之海
  • 薇薇之海    2019-10-18 11:20:25102楼

    phpStudy v8.0的系统服务在哪里,网站安全狗找不到服务器名?


    +添加回复

  • 回复
  • Robinlin
  • Robinlin    2019-10-14 16:57:51101楼

    请问一下phpStudy v8.0版本 (Windows)可以支持IIS8.0吗?

    +添加回复

  • 回复
  • Mario
  • Mario    2019-10-10 22:51:16100楼

    请问 新版本没有预留 MySQL命令行的快捷启动么?

    方便在后续版本中添加么

    +添加回复

  • 回复
  • 流沙
  • 流沙    2019-10-09 21:00:3599楼

    问题.png

    你好,请问安装出现这个问题怎么解决呢?

    百度也没看到方式,现在下载QT最新版本都要收费,老版本下载后按照百度方法压根就不管用,里面的库都不一样!!!

    +添加回复

  • 回复

    同问,这个问题有解决方法了么

    电脑用户402143 · 2019-10-12 14:06:41
    回复

    请问解决了吗?

    学渣@ · 2019-10-16 09:00:27
    回复
  • 一一一
  • 一一一    2019-10-08 14:39:5197楼

    请问,phpstudy版本选了5.2.17之后,zend optimizer怎么办?提示not installed


    +添加回复

  • 回复
微信扫码登陆

打开 微信
扫一扫登录